﻿/**Begin D:\PDM_UPGRADE\PDM1\TDA_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDA_SYSPARAM') 
 CREATE TABLE T_TDA_SYSPARAM (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLEDATE DATETIME,
FDISABLEDATE DATETIME,
FISUSESNAP CHAR(1) DEFAULT '1' NOT NULL,
FCACHETIME BIGINT DEFAULT 30 NOT NULL,
FSNAPLEVEL VARCHAR(50) DEFAULT '2' NOT NULL,
FORGBATCHCOUNT BIGINT DEFAULT 100 NOT NULL,
FCORETHREADCOUNT BIGINT DEFAULT 4 NOT NULL,
FMAXTHREADCOUNT BIGINT DEFAULT 8 NOT NULL,
FISQUERYDATACACHE CHAR(1) DEFAULT '1' NOT NULL,
FCACHEMAXDATASIZE BIGINT DEFAULT 200000 NOT NULL,
FQUERYDATACACHETIME BIGINT DEFAULT 30 NOT NULL,
FISOPENSETTLE CHAR(1) DEFAULT '0' NOT NULL,
FTRANSDETAILTHRESHOLD BIGINT DEFAULT 1000000 NOT NULL,
FISTDALOGENABLE CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDA_SYSPARAM_L') 
 CREATE TABLE T_TDA_SYSPARAM_L (
FPKID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\TDA_table.sql **/
