/**Begin D:\PDM_UPGRADE\PDM1\TDA_constraint.sql **/
EXEC P_ALTERPK 'PK_TDA_DECISIONANISSNAPSET', 'T_TDA_DECISIONANISSNAPSET', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDA_DECISIONANISSNAPSET') CREATE INDEX IDX_TDA_DECISIONANISSNAPSET ON T_TDA_DECISIONANISSNAPSET ( FNUMBER );


EXEC P_ALTERPK 'PK_TDA_DECISIONANISSNAPSET_L', 'T_TDA_DECISIONANISSNAPSET_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDA_DECISIONANISSNAPSET_L') CREATE INDEX IDX_TDA_DECISIONANISSNAPSET_L ON T_TDA_DECISIONANISSNAPSET_L ( FID );


EXEC P_ALTERPK 'PK_TDA_TRANSDETAILLOG', 'T_TDA_TRANSDETAILLOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDA_TRANSDETAILLOG') CREATE INDEX IDX_TDA_TRANSDETAILLOG ON T_TDA_TRANSDETAILLOG ( FBILLNO );


EXEC P_ALTERPK 'PK_TDA_TRANSDETAILSUMMARY', 'T_TDA_TRANSDETAILSUMMARY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDA_TRANSDETAILSUMMARY') CREATE INDEX IDX_TDA_TRANSDETAILSUMMARY ON T_TDA_TRANSDETAILSUMMARY ( FBILLNO );


EXEC P_ALTERPK 'PK_TDA_DECISANLSREPORTSNAP_L', 'T_TDA_DECISANLSREPORTSNAP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDA_DECISANLSREPORTSNAP_L') CREATE INDEX IDX_TDA_DECISANLSREPORTSNAP_L ON T_TDA_DECISANLSREPORTSNAP_L ( FID );


EXEC P_ALTERPK 'PK_TDA_DECISANLSSNAPSET_L', 'T_TDA_DECISANLSSNAPSET_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDA_DECISANLSSNAPSET_L') CREATE INDEX IDX_TDA_DECISANLSSNAPSET_L ON T_TDA_DECISANLSSNAPSET_L ( FID );


EXEC P_ALTERPK 'PK_TDA_DECISANLSVERSION_L', 'T_TDA_DECISANLSVERSION_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDA_DECISANLSVERSION_L') CREATE INDEX IDX_TDA_DECISANLSVERSION_L ON T_TDA_DECISANLSVERSION_L ( FID );


EXEC P_ALTERPK 'PK_TDA_BIGAMOUNTSET', 'T_TDA_BIGAMOUNTSET', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDA_BIGAMOUNTSET') CREATE INDEX IDX_TDA_BIGAMOUNTSET ON T_TDA_BIGAMOUNTSET ( FNUMBER );


EXEC P_ALTERPK 'PK_TDA_BIGAMOUNTSET_L', 'T_TDA_BIGAMOUNTSET_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDA_BIGAMOUNTSET_L') CREATE INDEX IDX_TDA_BIGAMOUNTSET_L ON T_TDA_BIGAMOUNTSET_L ( FID );


EXEC P_ALTERPK 'PK_TDA_POSITIONACCSET', 'T_TDA_POSITIONACCSET', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDA_POSITIONACCSET') CREATE INDEX IDX_TDA_POSITIONACCSET ON T_TDA_POSITIONACCSET ( FNUMBER );


EXEC P_ALTERPK 'PK_TDA_POSITIONACCSET_L', 'T_TDA_POSITIONACCSET_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDA_POSITIONACCSET_L') CREATE INDEX IDX_TDA_POSITIONACCSET_L ON T_TDA_POSITIONACCSET_L ( FID );


EXEC P_ALTERPK 'PK_TDA_SNAPSCHEDULE_S', 'T_TDA_SNAPSCHEDULE_S', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDA_SNAPSCHEDULE_S') CREATE INDEX IDX_TDA_SNAPSCHEDULE_S ON T_TDA_SNAPSCHEDULE_S ( FID ,FBASEDATAID );


EXEC P_ALTERPK 'PK_TDA_TRANSDETAILSUMMAR_E', 'T_TDA_TRANSDETAILSUMMAR_E', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDA_TRANSDETAILSUMMARY_E') CREATE INDEX IDX_TDA_TRANSDETAILSUMMARY_E ON T_TDA_TRANSDETAILSUMMAR_E ( FID );


EXEC P_ALTERPK 'PK_TDA_USERDEFAULTSET', 'T_TDA_USERDEFAULTSET', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDA_USRDEFSET_USR') CREATE INDEX IDX_TDA_USRDEFSET_USR ON T_TDA_USERDEFAULTSET ( FUSERID );


EXEC P_ALTERPK 'PK_TDA_DECISANLSREPORTSNAP', 'T_TDA_DECISANLSREPORTSNAP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDA_DECISANLSREPORTSNAP') CREATE INDEX IDX_TDA_DECISANLSREPORTSNAP ON T_TDA_DECISANLSREPORTSNAP ( FNUMBER );


EXEC P_ALTERPK 'PK_TDA_DECISANLSSNAPSET', 'T_TDA_DECISANLSSNAPSET', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDA_DECISANLSSNAPSET') CREATE INDEX IDX_TDA_DECISANLSSNAPSET ON T_TDA_DECISANLSSNAPSET ( FNUMBER );


EXEC P_ALTERPK 'PK_TDA_QINGBOARD', 'T_TDA_QINGBOARD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_TDA_QINGBOARD') CREATE INDEX IDX_T_TDA_QINGBOARD ON T_TDA_QINGBOARD ( FCONTROL ,FSRC );


EXEC P_ALTERPK 'PK_TDA_DECISANLSVERSION', 'T_TDA_DECISANLSVERSION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDA_DECISANLSVERSION') CREATE INDEX IDX_TDA_DECISANLSVERSION ON T_TDA_DECISANLSVERSION ( FNUMBER );

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDA_DECISANLSVERSION_OVQF') CREATE INDEX IDX_TDA_DECISANLSVERSION_OVQF ON T_TDA_DECISANLSVERSION ( FORGVIEWID ,FVERSIONSTATE ,FQUERYDATE ,FENABLE );


EXEC P_ALTERPK 'PK_TDA_ACCRUALAGING', 'T_TDA_ACCRUALAGING', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDA_ACCRUALAGING') CREATE INDEX IDX_TDA_ACCRUALAGING ON T_TDA_ACCRUALAGING ( FNUMBER ,FORGVIEWID );


EXEC P_ALTERPK 'PK_TDA_ACCRUALAGING_L', 'T_TDA_ACCRUALAGING_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDA_ACCRUALAGING_L') CREATE INDEX IDX_TDA_ACCRUALAGING_L ON T_TDA_ACCRUALAGING_L ( FID ,FLOCALEID );


EXEC P_ALTERPK 'PK_TDA_ACCRUALAGINGENTRY', 'T_TDA_ACCRUALAGINGENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDA_ACCRUALAGINGENTRY') CREATE INDEX IDX_TDA_ACCRUALAGINGENTRY ON T_TDA_ACCRUALAGINGENTRY ( FID ,FSECTION );


EXEC P_ALTERPK 'PK_TDA_ACCRUALAGINGENTRY_L', 'T_TDA_ACCRUALAGINGENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDA_ACCRUALAGINGENTRY_L') CREATE INDEX IDX_TDA_ACCRUALAGINGENTRY_L ON T_TDA_ACCRUALAGINGENTRY_L ( FENTRYID ,FLOCALEID );


EXEC P_ALTERPK 'PK_TDA_QINGBOARD_L', 'T_TDA_QINGBOARD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_TDA_QINGBOARD_L') CREATE INDEX IDX_T_TDA_QINGBOARD_L ON T_TDA_QINGBOARD_L ( FID ,FLOCALEID );


EXEC P_ALTERPK 'PK_TDA_BUDGETBILL', 'T_TDA_BUDGETBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDA_BUDGETBILL') CREATE INDEX IDX_TDA_BUDGETBILL ON T_TDA_BUDGETBILL ( FORGVIEWID ,FORGID ,FBUDGETYEAR );


EXEC P_ALTERPK 'PK_TDA_LIQUIDITY', 'T_TDA_LIQUIDITY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDA_LIQUIDITY') CREATE INDEX IDX_TDA_LIQUIDITY ON T_TDA_LIQUIDITY ( FORGVIEWID ,FORGID ,FACCOUNTYEAR ,FACCOUNTPERIOD );


EXEC P_ALTERPK 'PK_TDA_SYNTHESISSUMDATA', 'T_TDA_SYNTHESISSUMDATA', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDA_SYNTHESISSUMDATA') CREATE INDEX IDX_TDA_SYNTHESISSUMDATA ON T_TDA_SYNTHESISSUMDATA ( FORGVIEWID ,FORGID ,FBIZDATE );


EXEC P_ALTERPK 'PK_TDA_BIGAMOUNTBILL', 'T_TDA_BIGAMOUNTBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDA_BIGAMOUNTBILL') CREATE UNIQUE INDEX IDX_TDA_BIGAMOUNTBILL ON T_TDA_BIGAMOUNTBILL ( FBILLNO );


EXEC P_ALTERPK 'PK_TDA_ARAP_SUMBILL_ENTRY', 'T_TDA_ARAP_SUMBILL_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDA_ARAP_SUMBILL_ENTRY') CREATE INDEX IDX_TDA_ARAP_SUMBILL_ENTRY ON T_TDA_ARAP_SUMBILL_ENTRY ( FID );


EXEC P_ALTERPK 'PK_TDA_ARAP_SUMBILL', 'T_TDA_ARAP_SUMBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TDA_ARAP_SUMBILL') CREATE INDEX IDX_TDA_ARAP_SUMBILL ON T_TDA_ARAP_SUMBILL ( FORGID ,FPAYMENTDAY );



/**End D:\PDM_UPGRADE\PDM1\TDA_constraint.sql **/
