/**Begin D:\PDM_UPGRADE\PDM1\TDA_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDA_DECISIONANISSNAPSET')
CREATE TABLE T_TDA_DECISIONANISSNAPSET (
                                           FID BIGINT DEFAULT 0 NOT NULL,
                                           FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
                                           FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                           FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
                                           FDISABLERID BIGINT DEFAULT 0 NOT NULL,
                                           FENABLERID BIGINT DEFAULT 0 NOT NULL,
                                           FDISABLEDATE DATETIME,
                                           FENABLEDATE DATETIME,
                                           FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                           FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                           FCREATETIME DATETIME,
                                           FMODIFYTIME DATETIME,
                                           FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
                                           FMASTERID BIGINT DEFAULT 0 NOT NULL,
                                           FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDA_DECISIONANISSNAPSET_L')
CREATE TABLE T_TDA_DECISIONANISSNAPSET_L (
                                             FPKID NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                             FID BIGINT DEFAULT 0 NOT NULL,
                                             FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
                                             FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                             FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDA_TRANSDETAILLOG')
CREATE TABLE T_TDA_TRANSDETAILLOG (
                                      FID BIGINT DEFAULT 0 NOT NULL,
                                      FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
                                      FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                      FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                      FCREATETIME DATETIME,
                                      FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                      FMODIFYTIME DATETIME,
                                      FAUDITORID BIGINT DEFAULT 0 NOT NULL,
                                      FAUDITDATE DATETIME,
                                      FISFINISH CHAR(1) DEFAULT '0' NOT NULL,
                                      FORGID BIGINT DEFAULT 0 NOT NULL,
                                      FMONTHDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDA_TRANSDETAILSUMMARY')
CREATE TABLE T_TDA_TRANSDETAILSUMMARY (
                                          FID BIGINT DEFAULT 0 NOT NULL,
                                          FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
                                          FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                          FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                          FCREATETIME DATETIME,
                                          FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                          FMODIFYTIME DATETIME,
                                          FAUDITORID BIGINT DEFAULT 0 NOT NULL,
                                          FAUDITDATE DATETIME,
                                          FORGID BIGINT DEFAULT 0 NOT NULL,
                                          FMONTHDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDA_DECISANLSREPORTSNAP_L')
CREATE TABLE T_TDA_DECISANLSREPORTSNAP_L (
                                             FPKID NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                             FID BIGINT DEFAULT 0 NOT NULL,
                                             FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
                                             FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                             FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDA_DECISANLSSNAPSET_L')
CREATE TABLE T_TDA_DECISANLSSNAPSET_L (
                                          FPKID NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                          FID BIGINT DEFAULT 0 NOT NULL,
                                          FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
                                          FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                          FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDA_DECISANLSVERSION_L')
CREATE TABLE T_TDA_DECISANLSVERSION_L (
                                          FPKID NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                          FID BIGINT DEFAULT 0 NOT NULL,
                                          FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
                                          FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                          FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDA_BIGAMOUNTSET')
CREATE TABLE T_TDA_BIGAMOUNTSET (
                                    FID BIGINT DEFAULT 0 NOT NULL,
                                    FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
                                    FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
                                    FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
                                    FCURRENCYFIELD BIGINT DEFAULT 0 NOT NULL,
                                    FBIGAMOUNTTHRESHOLD DECIMAL(23,10) DEFAULT 0 NOT NULL,
                                    FBIGAMOUNTGETTERWAY VARCHAR(50) DEFAULT ' ' NOT NULL,
                                    FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                    FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                    FCREATETIME DATETIME,
                                    FMODIFYTIME DATETIME,
                                    FENABLERID BIGINT DEFAULT 0 NOT NULL,
                                    FDISABLERID BIGINT DEFAULT 0 NOT NULL,
                                    FENABLEDATE DATETIME,
                                    FDISABLEDATE DATETIME,
                                    FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
                                    FMASTERID BIGINT DEFAULT 0 NOT NULL,
                                    FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDA_BIGAMOUNTSET_L')
CREATE TABLE T_TDA_BIGAMOUNTSET_L (
                                      FPKID NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                      FID BIGINT DEFAULT 0 NOT NULL,
                                      FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
                                      FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
                                      FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDA_POSITIONACCSET')
CREATE TABLE T_TDA_POSITIONACCSET (
                                      FID BIGINT DEFAULT 0 NOT NULL,
                                      FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
                                      FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
                                      FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
                                      FUSAGEID BIGINT DEFAULT 0 NOT NULL,
                                      FUSERID BIGINT DEFAULT 0 NOT NULL,
                                      FBIZDATE DATETIME,
                                      FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                      FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                      FCREATETIME DATETIME,
                                      FMODIFYTIME DATETIME,
                                      FENABLERID BIGINT DEFAULT 0 NOT NULL,
                                      FDISABLERID BIGINT DEFAULT 0 NOT NULL,
                                      FENABLEDATE DATETIME,
                                      FDISABLEDATE DATETIME,
                                      FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
                                      FMASTERID BIGINT DEFAULT 0 NOT NULL,
                                      FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDA_POSITIONACCSET_L')
CREATE TABLE T_TDA_POSITIONACCSET_L (
                                        FPKID NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                        FID BIGINT DEFAULT 0 NOT NULL,
                                        FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
                                        FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
                                        FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDA_SNAPSCHEDULE_S')
CREATE TABLE T_TDA_SNAPSCHEDULE_S (
                                      FPKID BIGINT DEFAULT 0 NOT NULL,
                                      FID BIGINT DEFAULT 0 NOT NULL,
                                      FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDA_TRANSDETAILSUMMAR_E')
CREATE TABLE T_TDA_TRANSDETAILSUMMAR_E (
                                           FID BIGINT DEFAULT 0 NOT NULL,
                                           FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                           FSEQ INT DEFAULT 0 NOT NULL,
                                           FAREA NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                           FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
                                           FCREDITAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
                                           FCREDITCOUNT INT DEFAULT 0 NOT NULL,
                                           FDEBITAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
                                           FDEBITCOUNT INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDA_USERDEFAULTSET')
CREATE TABLE T_TDA_USERDEFAULTSET (
                                      FID BIGINT DEFAULT 0 NOT NULL,
                                      FORGVIEWID BIGINT DEFAULT 0 NOT NULL,
                                      FAMOUNTUNIT VARCHAR(50) DEFAULT ' ' NOT NULL,
                                      FUSERID BIGINT DEFAULT 0 NOT NULL,
                                      FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                      FCREATEDATE DATETIME,
                                      FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                      FMODIFYDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDA_DECISANLSREPORTSNAP')
CREATE TABLE T_TDA_DECISANLSREPORTSNAP (
                                           FID BIGINT DEFAULT 0 NOT NULL,
                                           FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
                                           FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                           FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
                                           FDISABLERID BIGINT DEFAULT 0 NOT NULL,
                                           FENABLERID BIGINT DEFAULT 0 NOT NULL,
                                           FDISABLEDATE DATETIME,
                                           FENABLEDATE DATETIME,
                                           FREPORTTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
                                           FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                           FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                           FCREATETIME DATETIME,
                                           FMODIFYTIME DATETIME,
                                           FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
                                           FMASTERID BIGINT DEFAULT 0 NOT NULL,
                                           FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDA_DECISANLSSNAPSET')
CREATE TABLE T_TDA_DECISANLSSNAPSET (
                                        FID BIGINT DEFAULT 0 NOT NULL,
                                        FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
                                        FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                        FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
                                        FDISABLERID BIGINT DEFAULT 0 NOT NULL,
                                        FENABLERID BIGINT DEFAULT 0 NOT NULL,
                                        FORGVIEWID BIGINT DEFAULT 0 NOT NULL,
                                        FORGID BIGINT DEFAULT 0 NOT NULL,
                                        FCHECKBOXFIELD CHAR(1) DEFAULT '0' NOT NULL,
                                        FDISABLEDATE DATETIME,
                                        FENABLEDATE DATETIME,
                                        FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                        FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                        FCREATETIME DATETIME,
                                        FMODIFYTIME DATETIME,
                                        FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
                                        FMASTERID BIGINT DEFAULT 0 NOT NULL,
                                        FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDA_QINGBOARD')
CREATE TABLE T_TDA_QINGBOARD (
                                 FID BIGINT DEFAULT 0 NOT NULL,
                                 FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
                                 FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
                                 FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
                                 FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                 FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                 FENABLE CHAR(1) DEFAULT '0' NOT NULL,
                                 FCREATETIME DATETIME,
                                 FMODIFYTIME DATETIME,
                                 FMASTERID BIGINT DEFAULT 0 NOT NULL,
                                 FDISABLERID BIGINT DEFAULT 0 NOT NULL,
                                 FENABLERID BIGINT DEFAULT 0 NOT NULL,
                                 FENABLEDATE DATETIME,
                                 FDISABLEDATE DATETIME,
                                 FCONTROL NVARCHAR(80) DEFAULT ' ' NOT NULL,
                                 FSRC NVARCHAR(500) DEFAULT ' ' NOT NULL,
                                 FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDA_DECISANLSVERSION')
CREATE TABLE T_TDA_DECISANLSVERSION (
                                        FID BIGINT DEFAULT 0 NOT NULL,
                                        FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
                                        FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                        FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
                                        FDISABLERID BIGINT DEFAULT 0 NOT NULL,
                                        FENABLERID BIGINT DEFAULT 0 NOT NULL,
                                        FDISABLEDATE DATETIME,
                                        FORGID BIGINT DEFAULT 0 NOT NULL,
                                        FENABLEDATE DATETIME,
                                        FORGVIEWID BIGINT DEFAULT 0 NOT NULL,
                                        FVERSIONSTATE VARCHAR(50) DEFAULT ' ' NOT NULL,
                                        FENDTIME DATETIME,
                                        FBEGINTIME DATETIME,
                                        FQUERYDATE DATETIME,
                                        FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                        FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                        FCREATETIME DATETIME,
                                        FMODIFYTIME DATETIME,
                                        FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
                                        FMASTERID BIGINT DEFAULT 0 NOT NULL,
                                        FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                        FTOTALEXECCOUNT INT DEFAULT 0 NOT NULL,
                                        FFINISHCOUNT INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDA_ACCRUALAGING')
CREATE TABLE T_TDA_ACCRUALAGING (
                                    FID BIGINT DEFAULT 0 NOT NULL,
                                    FMASTERID BIGINT DEFAULT 0 NOT NULL,
                                    FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
                                    FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
                                    FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
                                    FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                    FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                    FCREATETIME DATETIME,
                                    FMODIFYTIME DATETIME,
                                    FENABLE CHAR(1) DEFAULT '0' NOT NULL,
                                    FDISABLERID BIGINT DEFAULT 0 NOT NULL,
                                    FENABLERID BIGINT DEFAULT 0 NOT NULL,
                                    FENABLEDATE DATETIME,
                                    FDISABLEDATE DATETIME,
                                    FORGVIEWID BIGINT DEFAULT 0 NOT NULL,
                                    FTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
                                    FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDA_ACCRUALAGING_L')
CREATE TABLE T_TDA_ACCRUALAGING_L (
                                      FPKID NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                      FID BIGINT DEFAULT 0 NOT NULL,
                                      FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
                                      FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
                                      FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDA_ACCRUALAGINGENTRY')
CREATE TABLE T_TDA_ACCRUALAGINGENTRY (
                                         FID BIGINT DEFAULT 0 NOT NULL,
                                         FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                         FSEQ BIGINT DEFAULT 0 NOT NULL,
                                         FISDAYMORE CHAR(1) DEFAULT '0' NOT NULL,
                                         FSTARTDAY BIGINT DEFAULT 0 NOT NULL,
                                         FENDDAY BIGINT DEFAULT 0 NOT NULL,
                                         FSECTION NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDA_ACCRUALAGINGENTRY_L')
CREATE TABLE T_TDA_ACCRUALAGINGENTRY_L (
                                           FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
                                           FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                           FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
                                           FSECTION NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDA_QINGBOARD_L')
CREATE TABLE T_TDA_QINGBOARD_L (
                                   FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
                                   FID BIGINT DEFAULT 0 NOT NULL,
                                   FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
                                   FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                   FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDA_BUDGETBILL')
CREATE TABLE T_TDA_BUDGETBILL (
                                  FID BIGINT DEFAULT 0 NOT NULL,
                                  FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
                                  FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                  FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                  FCREATETIME DATETIME,
                                  FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                  FMODIFYTIME DATETIME,
                                  FAUDITORID BIGINT DEFAULT 0 NOT NULL,
                                  FAUDITDATE DATETIME,
                                  FORGVIEWID BIGINT DEFAULT 0 NOT NULL,
                                  FORGID BIGINT DEFAULT 0 NOT NULL,
                                  FBUDGETYEAR INT DEFAULT 0 NOT NULL,
                                  FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
                                  FINTDEBTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
                                  FNETASSETSAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
                                  FASSETSDEBTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
                                  FINTDEBTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
                                  FINTDEBTEQUITYRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
                                  FEQUITYAMT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDA_LIQUIDITY')
CREATE TABLE T_TDA_LIQUIDITY (
                                 FID BIGINT DEFAULT 0 NOT NULL,
                                 FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
                                 FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                 FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                 FCREATETIME DATETIME,
                                 FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                 FMODIFYTIME DATETIME,
                                 FAUDITORID BIGINT DEFAULT 0 NOT NULL,
                                 FAUDITDATE DATETIME,
                                 FORGVIEWID BIGINT DEFAULT 0 NOT NULL,
                                 FORGID BIGINT DEFAULT 0 NOT NULL,
                                 FACCOUNTYEAR INT DEFAULT 0 NOT NULL,
                                 FACCOUNTPERIOD INT DEFAULT 0 NOT NULL,
                                 FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
                                 FASSETSAMT DECIMAL(25,10) DEFAULT 0 NOT NULL,
                                 FMONETARYFUNDAMT DECIMAL(25,10) DEFAULT 0 NOT NULL,
                                 FFLOWASSETSAMT DECIMAL(25,10) DEFAULT 0 NOT NULL,
                                 FSTOCKAMT DECIMAL(25,10) DEFAULT 0 NOT NULL,
                                 FDEBTAMT DECIMAL(25,10) DEFAULT 0 NOT NULL,
                                 FFLOWDEBTAMT DECIMAL(25,10) DEFAULT 0 NOT NULL,
                                 FINTDEBTAMT DECIMAL(25,10) DEFAULT 0 NOT NULL,
                                 FOWNEREQUITYAMT DECIMAL(25,10) DEFAULT 0 NOT NULL,
                                 FPROFITAMT DECIMAL(25,10) DEFAULT 0 NOT NULL,
                                 FINTFEEAMT DECIMAL(25,10) DEFAULT 0 NOT NULL,
                                 FASSETSDEBTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
                                 FINTDEBTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
                                 FINTDEBTEQUITYRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
                                 FQUICKRATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
                                 FFLOWRATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
                                 FINTCOVERRATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
                                 FDUETHREEMONTHAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
                                 FFUNDDUETHREEMTHRATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
                                 FDUETHREEMONTHRATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
                                 FEQUITYAMT DECIMAL(25,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDA_SYNTHESISSUMDATA')
CREATE TABLE T_TDA_SYNTHESISSUMDATA (
                                        FID BIGINT DEFAULT 0 NOT NULL,
                                        FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
                                        FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
                                        FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                        FCREATETIME DATETIME,
                                        FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                        FMODIFYTIME DATETIME,
                                        FAUDITORID BIGINT DEFAULT 0 NOT NULL,
                                        FAUDITDATE DATETIME,
                                        FORGVIEWID BIGINT DEFAULT 0 NOT NULL,
                                        FORGID BIGINT DEFAULT 0 NOT NULL,
                                        FBIZDATE DATETIME,
                                        FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
                                        FPROJECT VARCHAR(50) DEFAULT ' ' NOT NULL,
                                        FCURRMONTHTOTAL DECIMAL(25,10) DEFAULT 0 NOT NULL,
                                        FLASTMONTHTOTAL DECIMAL(25,10) DEFAULT 0 NOT NULL,
                                        FCURRMONTHDOMESTIC DECIMAL(25,10) DEFAULT 0 NOT NULL,
                                        FLASTMONTHDOMESTIC DECIMAL(25,10) DEFAULT 0 NOT NULL,
                                        FCURRMONTHFOREIGN DECIMAL(25,10) DEFAULT 0 NOT NULL,
                                        FLASTMONTHFOREIGN DECIMAL(25,10) DEFAULT 0 NOT NULL,
                                        FBUDGET DECIMAL(25,10) DEFAULT 0 NOT NULL,
                                        FRELBUDGET DECIMAL(25,10) DEFAULT 0 NOT NULL,
                                        FCHANGEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
                                        FCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
                                        FSORT INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDA_BIGAMOUNTBILL')
CREATE TABLE T_TDA_BIGAMOUNTBILL (
                                     FID BIGINT DEFAULT 0 NOT NULL,
                                     FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
                                     FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
                                     FORGID BIGINT DEFAULT 0 NOT NULL,
                                     FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                     FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                     FAUDITORID BIGINT DEFAULT 0 NOT NULL,
                                     FCREATETIME DATETIME,
                                     FMODIFYTIME DATETIME,
                                     FAUDITDATE DATETIME,
                                     FCREDITAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
                                     FDEBITAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
                                     FBIZDATE DATETIME,
                                     FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
                                     FBANKID BIGINT DEFAULT 0 NOT NULL,
                                     FACCOUNTBANKID BIGINT DEFAULT 0 NOT NULL,
                                     FOPPACCOUNTBANK VARCHAR(255) DEFAULT ' ' NOT NULL,
                                     FOPPNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
                                     FOPPBANK VARCHAR(255) DEFAULT ' ' NOT NULL,
                                     FMONEYFLOW VARCHAR(50) DEFAULT ' ' NOT NULL,
                                     FUSAGE VARCHAR(255) DEFAULT ' ' NOT NULL,
                                     FREGION VARCHAR(50) DEFAULT ' ' NOT NULL,
                                     FENTITYNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDA_ARAP_SUMBILL_ENTRY')
CREATE TABLE T_TDA_ARAP_SUMBILL_ENTRY (
                                          FID BIGINT DEFAULT 0 NOT NULL,
                                          FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                          FSEQ BIGINT DEFAULT 0 NOT NULL,
                                          FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
                                          FCOUNT BIGINT DEFAULT 0 NOT NULL,
                                          FCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
                                          FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
                                          FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
                                          FCUSTOMERNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
                                          FSUPPLIERNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
                                          FCUSTSUPPTYPE VARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TDA_ARAP_SUMBILL')
CREATE TABLE T_TDA_ARAP_SUMBILL (
                                    FID BIGINT DEFAULT 0 NOT NULL,
                                    FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
                                    FBILLSTATUS VARCHAR(80) DEFAULT ' ' NOT NULL,
                                    FORGID BIGINT DEFAULT 0 NOT NULL,
                                    FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                    FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                    FAUDITORID BIGINT DEFAULT 0 NOT NULL,
                                    FCREATETIME DATETIME,
                                    FMODIFYTIME DATETIME,
                                    FAUDITDATE DATETIME,
                                    FBILLTYPE VARCHAR(80) DEFAULT ' ' NOT NULL,
                                    FAGINGSEQ VARCHAR(80) DEFAULT ' ' NOT NULL,
                                    FPAYMENTDAY VARCHAR(80) DEFAULT ' ' NOT NULL,
                                    FAGINGNAME VARCHAR(80) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\TDA_table.sql **/
